## org.hibernate.dialect
Class Oracle10gDialect

    java.lang.Object
      org.hibernate.dialect.Dialect
          org.hibernate.dialect.Oracle8iDialect
              org.hibernate.dialect.Oracle9iDialect
                  org.hibernate.dialect.Oracle10gDialect

All Implemented Interfaces:
  ConversionContext

    public class Oracle10gDialect

extends Oracle9iDialect

A dialect specifically for use with Oracle 10g.

The main difference between this dialect and `Oracle9iDialect` is the use of "ANSI join syntax". This dialect also retires the use of the `oracle.jdbc.driver` package in favor of `oracle.jdbc`.

Field Summary

Fields inherited from class org.hibernate.dialect.Oracle8iDialect
`DEPRECATED_ORACLE_TYPES_CLASS_NAME, INIT_ORACLETYPES_CURSOR_VALUE, ORACLE_TYPES_CLASS_NAME`

Fields inherited from class org.hibernate.dialect.Dialect
`CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STREAM_XFER_LOB_MERGE_STRATEGY`

Constructor Summary
`Oracle10gDialect()`

Method Summary
`JoinFragment` `createOuterJoinFragment()` Support for the oracle proprietary join syntax...

Methods inherited from class org.hibernate.dialect.Oracle9iDialect
`createCaseFragment, getCurrentTimestampSelectString, getCurrentTimestampSQLFunctionName, getForUpdateString, getLimitString, getReadLockString, getSelectClauseNullString, getWriteLockString, registerCharacterTypeMappings, registerDateTimeTypeMappings, supportsRowValueConstructorSyntaxInInList, supportsTupleDistinctCounts`

Methods inherited from class org.hibernate.dialect.Oracle8iDialect

`bindLimitParametersInReverseOrder, dropConstraints, dropTemporaryTableAfterUse, extractOracleCursorTypeValue, forUpdateOfColumns, generateTemporaryTableName, getAddColumnString, getBasicSelectClauseNullString, getCascadeConstraintsString, getCreateSequenceString, getCreateTemporaryTablePostfix, getCreateTemporaryTableString, getCrossJoinSeparator, getDropSequenceString, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getOracleCursorTypeSqlType, getQuerySequencesString, getResultSet, getSelectGUIDString, getSelectSequenceNextValString, getSequenceNextValString, getSqlTypeDescriptorOverride, getViolatedConstraintNameExtracter, isCurrentTimestampSelectStringCallable, registerDefaultProperties, registerFunctions, registerLargeObjectTypeMappings, registerNumericTypeMappings, registerResultSetOutParameter, registerReverseHibernateTypeMappings, supportsCommentOn, supportsCurrentTimestampSelection, supportsEmptyInList, supportsExistsInSelect, supportsLimit, supportsPooledSequences, supportsSequences, supportsTemporaryTables, supportsUnionAll, useMaxForLimit`

Methods inherited from class org.hibernate.dialect.Dialect

`appendIdentitySelectToInsert, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersFirst, buildSQLExceptionConversionDelegate, buildSQLExceptionConverter, closeQuote, convertToFirstRowValue, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, forceLimitUsage, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getDropTemporaryTableString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getIdentitySelectString, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getNullColumnString, getTableComment, getTableTypeString, getTypeName, getTypeName, hasAlterTable, hasDataTypeInIdentityColumn, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, remapSqlTypeDescriptor, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsExpectedLobUsagePattern, supportsIdentityColumns, supportsIfExistsAfterTableName, supportsIfExistsBeforeTableName, supportsInsertSelectIdentity, supportsLimitOffset, supportsLobValueChangePropogation, supportsLockTimeouts, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useInputStreamToInsertBlob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Oracle10gDialect

    public Oracle10gDialect()

Method Detail

### createOuterJoinFragment

    public JoinFragment createOuterJoinFragment()

  Description copied from class: `Oracle8iDialect`
  Support for the oracle proprietary join syntax...

  Overrides:
    `createOuterJoinFragment` in class `Oracle8iDialect`
  Returns:
    The orqacle join fragment

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.